
 ****************** Reads and cleans data from Ozden et al. (2011) ******************

  program cleanozden
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 
	*************************************
 
  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Reads and cleans data from Ozden et al. (2011) ", as text
	di "---------------------------------------------------------------------------"
	
	di "      Read file", as text _continue
	
	clear
	local path="$data"
	`sil' import excel using "`path'Ozdenetal11.xlsx", clear sheet("Data") firstrow
	
	di "...", as text
	
	di "      Select the relevant observations", as text _continue
	
	`sil' keep if gendercode=="TOT"
	`sil' drop gender gendercode

	di ".", as text _continue
	
	`sil' keep if isocodei=="AUS"|isocodei=="AUT"|isocodei=="BEL"|isocodei=="CAN"| ///
				  isocodei=="DNK"|isocodei=="FIN"|isocodei=="FRA"|isocodei=="DEU"| ///
				  isocodei=="GRC"|isocodei=="IRL"|isocodei=="ISL"|isocodei=="ITA"| ///
				  isocodei=="JPN"|isocodei=="KOR"|isocodei=="LUX"|isocodei=="NLD"| ///
				  isocodei=="NOR"|isocodei=="NZL"|isocodei=="PRT"|isocodei=="ESP"| ///
				  isocodei=="SWE"|isocodei=="CHE"|isocodei=="GBR"|isocodei=="USA"
	`sil' sort countryi
	`sil' egen codei=group(countryi)
	
	di ".", as text _continue
	
	`sil' drop if isocodej=="ASM"|isocodej=="AND"|isocodej=="AIA"|isocodej=="ABW"| ///
				  isocodej=="CYM"|isocodej=="CHI"|isocodej=="COK"|isocodej=="FRO"| ///
				  isocodej=="FLK"|isocodej=="GUF"|isocodej=="PYF"|isocodej=="GIB"| ///
				  isocodej=="GRL"|isocodej=="GLP"|isocodej=="GUM"|isocodej=="IMY"| ///
				  isocodej=="KSV"|isocodej=="LIE"|isocodej=="MHL"|isocodej=="MTQ"| ///
				  isocodej=="MYT"|isocodej=="MCO"|isocodej=="MNE"|isocodej=="MSR"| ///
				  isocodej=="MMR"|isocodej=="NRU"|isocodej=="NCL"|isocodej=="NIU"| ///
				  isocodej=="NFK"|isocodej=="MNP"|isocodej=="REU"|isocodej=="SHN"| ///
				  isocodej=="SPM"|isocodej=="SMR"|isocodej=="SRB"|isocodej=="TLS"| ///
				  isocodej=="TKL"|isocodej=="TCA"|isocodej=="TUV"|isocodej=="VIR"| ///
				  isocodej=="VGB"|isocodej=="WLF"|isocodej=="PSE"|isocodej=="zzz"
	`sil' sort countryj
	`sil' egen codej=group(countryj)
	
	di ".", as text
	di "      Reshape long", as text _continue
	
	`sil' reshape long _,i(codei codej) j(year)
	`sil' rename _ stockozdenetal
	
	di "...", as text
	di "      Save file", as text _continue
	
	local path="$data"
	`sil' save "`path'Ozdenetal11.dta", replace
	
	di "...", as text
	di " ", as text
  
  end
