
 **** Counts the number of origin countries with grouped data across destinations ****

  program countgroup
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 
	*************************************
 
  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Counts the number of origin countries with grouped data across dest.", ///
																			  as text
	di "---------------------------------------------------------------------------"

	di "      Read file", as text _continue
	
	local path="$data"
	`sil' use "`path'Bilateraldata.dta", clear
	
	di "...", as text

	di "      Fill the numbers in", as text _continue

	matrix coefcountgroup=J(26,10,.)
	local y=1
	forvalues year=1960(10)2000 {
		local tot=0
		local tot2=0
		local shar=0
		local shar2=0
		local num=0
		forvalues i=1/24 {
			`sil' count if codei==`i' & year==`year' & stockij==.
			matrix coefcountgroup[`i',`y'*2-1]=r(N)
			local tot=`tot'+r(N)
			local temp=r(N)
			if `temp'!=187 {
				local tot2=`tot2'+r(N)
				local num=`num'+1
			}

			`sil' sum avgroup if codei==`i'& year==`year' & stockij==.
			local gmig=r(mean)*r(N)
			`sil' sum avgroup if codei==`i'& year==`year'
			if `temp'==0 {
				matrix coefcountgroup[`i',`y'*2]=0
				local shar=`shar'+0
				local shar2=`shar2'+0
			}
			else {
				matrix coefcountgroup[`i',`y'*2]=`gmig'/(r(mean)*r(N))*100
				local shar=`shar'+`gmig'/(r(mean)*r(N))*100
				if `temp'!=187 {
					local shar2=`shar2'+`gmig'/(r(mean)*r(N))*100
				}
			}
		}
		matrix coefcountgroup[25,`y'*2-1]=`tot'/24
		matrix coefcountgroup[25,`y'*2]=`shar'/24
		matrix coefcountgroup[26,`y'*2-1]=`tot2'/`num'
		matrix coefcountgroup[26,`y'*2]=`shar2'/`num'
		local ++y
	}
	
	di "...", as text
	

	di "      Do table:", as text 
	
	local head1 "di _newline   \begin{table}[!t]\centering\tabcolsep=4pt "
	local head1 "`head1'_newline      \caption{Number of origin countries with gro"
	local head1 "`head1'uped data across destinations} _newline      \label{tab:d"
	local head1 "`head1'esgroupdata} _newline _newline "
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{3cm}R{1cm}R{1cm}cR{1cm}R{1cm}cR{1cm}R{1cm"
	local head2 "`head2'}cR{1cm}R{1cm}cR{1cm}R{1cm}@{\hskip 0.2cm}} _newline"
			
	local head3 "       \\ [-0.25cm] _newline        \hline\hline \\ [-0.15cm] "
	local head3 "`head3'_newline                & \multicolumn{ 2}{c}{1960} &  & \"
	local head3 "`head3'multicolumn{ 2}{c}{1970} &  & \multicolumn{ 2}{c}{1980} &  "
	local head3 "`head3'& \multicolumn{ 2}{c}{1990} &  &"
	
	local head4 " \multicolumn{ 2}{c}{2000} \\ _newline      \cline{2-15}  \\ [-"
	local head4 "`head4'0.25cm] _newline                 &\multicolumn{1}{c}{Num."
	local head4 "`head4' of}&\multicolumn{1}{c}{\% of}& &\multicolumn{1}{c}{Num. of"
	local head4 "`head4'}&\multicolumn{1}{c}{\% of}& &\multicolumn"
	
	local head5 "{1}{c}{Num. of}&\multicolumn{1}{c}{\% of}& &\multicolumn{1}{c}{Nu"
	local head5 "`head5'm. of} _newline                 &\multicolumn{1}{c}{\% o"
	local head5 "`head5'f}& &\multicolumn{1}{c}{Num. of}&\multicolumn{1}{c}{\% of}\"
	local head5 "`head5'\ [0.05cm] _newline                 &"
	
	local head6 "\multicolumn{1}{c}{countries}&\multicolumn{1}{c}{stock}& &\multic"
	local head6 "`head6'olumn{1}{c}{countries}&\multicolumn{1}{c}{stock}& &\multico"
	local head6 "`head6'lumn{1}{c}{countries}&\multicolumn{1}{c}{stock}& &\multicol"
	local head6 "`head6'umn{1}{c}{countries} _newline "
	
	local head7 "                &\multicolumn{1}{c}{stock}& &\multicolumn{1}{c}{c"
	local head7 "`head7'ountries}&\multicolumn{1}{c}{stock}\\ [0.05cm] _newline  "
	local head7 "`head7'    \hline \\ [-0.25cm]"

	local labrows1 "Australia"
	local labrows1 "`labrows1' Austria"
	local labrows1 "`labrows1' Belgium"
	local labrows1 "`labrows1' Canada"
	local labrows1 "`labrows1' Denmark"
	local labrows1 "`labrows1' Finland"
	local labrows1 "`labrows1' France"
	local labrows1 "`labrows1' Germany"
	local labrows1 "`labrows1' Greece"
	
	local labrows2 "Iceland"
	local labrows2 "`labrows2' Ireland"
	local labrows2 "`labrows2' Italy"
	local labrows2 "`labrows2' Japan"
	local labrows2 "`labrows2' Korea(Rep.)"
	local labrows2 "`labrows2' Luxembourg"
	local labrows2 "`labrows2' Netherlands"
	local labrows2 "`labrows2' NewZealand"
	local labrows2 "`labrows2' Norway"
	
	local labrows3 "Portugal"
	local labrows3 "`labrows3' Spain"
	local labrows3 "`labrows3' Sweden"
	local labrows3 "`labrows3' Switzerland"
	local labrows3 "`labrows3' UnitedKingdom"
	local labrows3 "`labrows3' UnitedStates"
	local labrows3 "`labrows3' Average"
	local labrows3 "`labrows3' Excluding100\%'s"
	
	local rowsep "di      \hline \\ [-0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}}"
	local ending1 "`ending1' _newline _newline    \begin{tablenotes} _newline "
	local ending1 "`ending1'        The first column for each year represents the"
	local ending1 "`ending1' number of countries that are in grouped"
	
	local ending2 " categories in that period. The total amount of possible orig"
	local ending2 "`ending2'in countries is 187. The second column for each year "
	local ending2 "`ending2'is the~\% _newline         from the total stock of i"
	local ending2 "`ending2'mmigrants that is in grouped categories."

	local ending3 " Each destination country may have several grouped categories"
	local ending3 "`ending3'. The last two rows are averages across destination c"
	local ending3 "`ending3'ountries. _newline     \end{tablenotes} _newline "
	local ending3 "`ending3'    \vspace{-0.7cm} _newline \end{table}"

	dotables "Countr_group_data.tex" /// 
			 "c" "0 1 0 1 0 1 0 1 0 1" ///
			 "n" /// 
			 "7" "`head1'" "`head2'" "`head3'" "`head4'" "`head5'" "`head6'" ///
																   "`head7'" /// 
			 "1" ///
			    "26 10 4 2 4 6 8 1 24" ///
					"3" "`labrows1'" "`labrows2'" "`labrows3'" /// 
					"0" /// 
					"countgroup" /// 
					"1" "1 1" "`rowsep'" /// 
					"0" /// 
			 "3" "`ending1'" "`ending2'" "`ending3'"


  end
  
  