
 ******** Creates figures with immigrant rates for each destionation country ********

  program immigrate
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 
	*************************************
 
  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Counts the number of origin countries with grouped data across dest.", ///
																			  as text
	di "---------------------------------------------------------------------------"

	di "      Read file", as text _continue
	local path="$data"
	`sil' use "`path'Bilateraldata.dta", clear
	di "...", as text

	di "      Generate immigrant shares", as text _continue
	`sil' replace countryi="Korea" if countryi=="Korea, Rep."
	`sil' replace countryi="United_Kingdom" if countryi=="United Kingdom"
	`sil' replace countryi="United_States" if countryi=="United States"
	`sil' replace countryi="New_Zealand" if countryi=="New Zealand"
	
	`sil' bys codei period: egen totalstock=sum(avgroup)
	`sil' gen immshare=totalstock/(popdest*1000)*100
	sort period

	label var immshare "Share (%)"

	`sil' levels countryi, local(country)

	foreach c of local country {
		local t=subinstr("`c'","_"," ",.)
		`sil' twoway (line immshare year if countryi =="`c'" & codej==1, ///
			lcolor(navy) lwidth(vthick) lpattern(solid) ///
			xlabel(1960 "1960" 1970 "1970" 1980 "1980" 1990 "1990" 2000 "2000") ///
			ytitle("") xtitle("") yscale(range(0 21)) ///
			ylabel(0 5 10 15 20 25, format(%5.0f))), ///
		  ysize(8.8) xsize(8.8) ///
		  legend(off) title(`t') note(" ") scale(1.6) ///
		  yline(0, lcolor(black)) yline(0 5 10 15 20 25, lcolor(gray)) ///
		  plotregion(fcolor(white) lcolor(white) ilcolor(white)) ///
		  graphregion(fcolor(white) lcolor(white) ilcolor(white))

		local path="$grfold"
		`sil' graph export "`path'Immigrate_`c'.ps", replace logo(off) mag(98) ///
				tmargin(0) lmargin(0) or(portrait) fontface("Times New Roman")
	}
	di "...", as text

	
  end
  