
 ************** Does histograms with available bilateral observations **************
 
  program histograms
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 
	*************************************
 
  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
	di " "
	di "   Does histograms with available bilateral observations", as text
	di "---------------------------------------------------------------------------"

	di "      Read data", as text _continue
	local path="$data"
	`sil' use "`path'Bilateraldata.dta", clear
	di "...", as text

	di "      Country-pair", as text _continue
	preserve
		`sil' gen bilateral=0
		`sil' replace bilateral=1 if stockij!=.

		`sil' bys countryi countryj: egen howmany1=sum(bilateral)
		`sil' keep if year==1960

		`sil' histogram howmany1, discrete width(1) frequency fc(navy) lc(none) ///
		   lw(none) xsc(range(0 5)) xlabel(0 1 2 3 4 5) yscale(range(0 1800)) ///
		   ylab(0 260 520 780 1040 1300 1560 1820, format(%6.0f)) ///
		   ysize(11) xsize(8.8) ///
		   legend(off) ///
		   plotregion(margin(zero) fcolor(white) lcolor(white) ilcolor(white)) ///
		   graphregion(fcolor(white) lcolor(white) ilcolor(white)) ///
		   yline(0, lcolor(black)) ///
		   yline(0 130 260 390 520 650 780 910 1040 1170 1300 1430 1560 1690 /// 
															1820,lcolor(gray)) ///
		   title("") note("") ytitle("") xtitle("") 
			 

		local path="$grfold"
		`sil' graph export "`path'Histogram1.ps", replace logo(off) mag(98) ///
			tmargin(0) lmargin(0) or(portrait) fontface("Times New Roman")

	restore
	di "...", as text

	di "      Origin-time", as text _continue
	preserve
		`sil' gen bilateral=0
		`sil' replace bilateral=1 if stockij!=.

		`sil' bys countryj: egen howmany2=sum(bilateral)
		`sil' keep if year==1960&codei==1

		`sil' histogram howmany2, discrete width(1) frequency fc(navy) lc(none) ///
		   lw(none) xmti(0(1)120) xsc(range(0 120)) xlab(0 20 40 60 80 100 120) ///
		   ysc(range(0 20)) ylabel(0 2 4 6 8 10 12 14 16 18 20, format(%6.0f)) ///
		   ysize(11) xsize(8.8) ///
		   legend(off) ///
		   plotregion(margin(zero) fcolor(white) lcolor(white) ilcolor(white)) ///
		   graphregion(fcolor(white) lcolor(white) ilcolor(white)) ///
		   yline(0, lcolor(black)) ///
		   yline(0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20, lc(gray)) ///
		   title("") note("") ytitle("") xtitle("") 
			 

		local path="$grfold"
		`sil' graph export "`path'Histogram2.ps", replace logo(off) mag(98) ///
			tmargin(0) lmargin(0) or(portrait) fontface("Times New Roman")
	restore
	di "...", as text

	di "      Destination-time", as text _continue
	preserve
		`sil' gen bilateral=0
		`sil' replace bilateral=1 if stockij!=.

		`sil' bys countryj period: egen howmany3=sum(bilateral)
		`sil' keep if codei==1

		`sil' histogram howmany3, discrete width(1) frequency fc(navy) lc(none) ///
		   lw(none) xmti(0(1)24) xsc(range(0 24)) xlabel(0 4 8 12 16 20 24) ///
		   ysc(range(0 160)) ylab(0 20 40 60 80 100 120 140 160, format(%6.0f)) ///
		   ysize(11) xsize(8.8) ///
		   legend(off) ///
		   plotregion(margin(zero) fcolor(white) lcolor(white) ilcolor(white)) ///
		   graphregion(fcolor(white) lcolor(white) ilcolor(white)) ///
		   yline(0, lcolor(black)) ///
		   yline(0 10 20 30 40 50 60 70 80 90 100 110 120 130 140 150 160, ///
																 lc(gray)) ///
		   title("") note("") ytitle("") xtitle("") 
			 

		local path="$grfold"
		`sil' graph export "`path'Histogram3.ps", replace logo(off) mag(98) ///
			tmargin(0) lmargin(0) or(portrait) fontface("Times New Roman")

	restore
	di "...", as text
	di " ", as text

  end
	