
 *********** Does the tables from Regressions.do ************

  program define tables
 	local silent `1'
	****  CODEBOOK FOR SILENT:
	*   1 -> Nice stata output display
	*   0 -> Display everything 
	*************************************
	
 
  ******  Local variables to run the stuff quietly or noisily	
  
	if `silent'==1 {
		local sil "qui"
		local noi " "
	}
	else {
		local sil " "
		local noi "qui"
	}

  ******* Program starts
  
  
  	di " "
	di "      Generate the tables", as text _continue
  	di " "
  	di " "
	
	preserve
	
	* Table 5 - Determinants of Bilateral Migration Stocks - Linear Effects
		
	local head1 "di _newline   \begin{table}[!t]\centering _newline     \caption"
	local head1 "`head1'{Determinants of Bilateral Migrant Stocks - Linear Effects}"
	local head1 "`head1'  _newline      \label{tab:reglinear} _newline _newline"
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{4cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm"
	local head2 "`head2'}C{1.2cm}C{1.2cm}@{\hskip 0.5cm}}"
	local head2 "`head2' _newline"
			
	local head3 "       \\ [-0.35cm] _newline        \hline\hline \\ [-0.25cm] "
	local head3 "`head3'_newline                        &         (1)      &      "
	local head3 "`head3'   (2)      &        (3)       &        (4)       &        "
	local head3 "`head3'(5)       &        (6)       & "
	
	local head4 "        (7)      \\ [0.05cm] _newline      \hline \\ [-0.25cm]"

	local labrows1 "GDPpcdest."
	local labrows1 "`labrows1' GDPpcorigin"
	local labrows1 "`labrows1' GDPpcgap"
	local labrows1 "`labrows1' LogDistance"
	local labrows1 "`labrows1' Commonlanguage"
	local labrows1 "`labrows1' Colonialrel."
	local labrows1 "`labrows1' Commonborder"
	local labrows1 "`labrows1' LogPop.origin"
	local labrows1 "`labrows1' LogPop.dest."
	local labrows1 "`labrows1' Obs"
	local labrows1 "`labrows1' \$\bar{R}^2\$"
	
	
	local test1=tests[1,1]
	local test2=tests[2,1]
	
	local rowsep1 "di      \hline \\ [-0.25cm]"

	local rowsep2 "di      \hline \\ [-0.25cm] _newline         Grouped obs.    "
	local rowsep2 "`rowsep2'      &    Yes     &       Yes        &        No      "
	local rowsep2 "`rowsep2'  &       Yes        &        Yes       &       Yes    "
	local rowsep2 "`rowsep2'    &        Yes       \\ [0.05cm] _newline         "
	
	local rowsep3 "St.devs. of controls  &     No     &        No        &        "
	local rowsep3 "`rowsep3'No        &        No        &         No       &      "
	local rowsep3 "`rowsep3'  No        &        Yes       \\ [0.05cm] _newline  "
	local rowsep3 "`rowsep3'    \hline \\ [-0.25cm] _newline         Time dummie"
	
	local rowsep4 "s          &    Yes     &       Yes        &       Yes        &"
	local rowsep4 "`rowsep4'        No        &        No        &       Yes       "
	local rowsep4 "`rowsep4' &        Yes       \\ [0.05cm] _newline         Orig"
	local rowsep4 "`rowsep4'in dummies        &    Yes     &       Yes        & "
	
	local rowsep5 "      Yes        &        No        &       Yes        &       "
	local rowsep5 "`rowsep5' No        &        Yes       \\ [0.05cm] _newline   "
	local rowsep5 "`rowsep5'      Origin-time dummies   &     No     &        No   "
	local rowsep5 "`rowsep5'     &        No        &       Yes        &        No"
	
	local rowsep6 "        &        No        &         No       \\ [0.05cm] _new"
	local rowsep6 "`rowsep6'line         Destination dummies   &    Yes     &     "
	local rowsep6 "`rowsep6'  Yes        &       Yes        &       Yes        &   "
	local rowsep6 "`rowsep6'     No        &        No        &        Yes       "
	
	local rowsep7 "\\ [0.05cm] _newline         Dest.-time dummies    &     No  "
	local rowsep7 "`rowsep7'   &        No        &        No        &        No   "
	local rowsep7 "`rowsep7'     &       Yes        &        No        &         No"
	local rowsep7 "`rowsep7'       \\ [0.05cm] _newline         Country-pair dum"
	
	local rowsep8 "mies  &     No     &        No        &        No        &     "
	local rowsep8 "`rowsep8'   No        &        No        &       Yes        &   "
	local rowsep8 "`rowsep8'      No       \\ [0.05cm] _newline      \hline \\ [-"
	local rowsep8 "`rowsep8'0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}} "
	local ending1 "`ending1'_newline _newline    \begin{tablenotes} _newline   "
	local ending1 "`ending1'      Standard errors, clustered at the origin-time le"
	local ending1 "`ending1'vel, in parentheses. Dependent variable: log migrant "
	
	local ending2 "stocks. Unit of observation: origin-destination-time. Regressi"
	local ending2 "`ending2'ons include the indicated fixed effects. The p-value o"
	local ending2 "`ending2'f a _newline         test of the null that coefficie"
	local ending2 "`ending2'nts displayed in Column~(3) are jointly equal to poin"
	
	local ending3 "t estimates in Column~(1) is  %5.3f `test1' , and the corre"
	local ending3 "`ending3'sponding p-value for Column~(7) is  %5.3f `test2' ."
	local ending3 "`ending3' _newline      \end{tablenotes} _newline      \vs"
	local ending3 "`ending3'pace{-0.7cm}_newline     \end{table}  _newline _ne"
	local ending3 "`ending3'wline"

	
	dotables "Linear_effects.tex" /// 
			 "r" "a" /// 
			 "b" ///
			 "4" "`head1'" "`head2'" "`head3'" "`head4'" /// 
			 "1" ///
				"11 7 0 3 3 7 9 " ///
					"1" "`labrows1'" /// 
					"10 11" /// 
					"reglinear" /// 
					"8" "1 1 1 1 7 2 3 4 5 6 7 8" "`rowsep1'" "`rowsep2'" ///
						"`rowsep3'" "`rowsep4'" "`rowsep5'" "`rowsep6'" ///
						"`rowsep7'" "`rowsep8'" /// 
					"0" /// 
			 "3" "`ending1'" "`ending2'" "`ending3'"
			 
	
	* Table A1 - Linear Effects --- Introducing GDP per capita in logs
		
	local head1 "di _newline   \begin{table}[!h]\centering _newline     \caption"
	local head1 "`head1'{Linear Effects --- Introducing GDP per Capita in Logs}  _"
	local head1 "`head1'newline      \label{tab:reglinlog} _newline _newline"
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{4cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm"
	local head2 "`head2'}C{1.2cm}C{1.2cm}@{\hskip 0.5cm}}"
	local head2 "`head2' _newline"
			
	local head3 "       \\ [-0.35cm] _newline        \hline\hline \\ [-0.25cm] "
	local head3 "`head3'_newline                        &         (1)      &      "
	local head3 "`head3'   (2)      &        (3)       &        (4)       &        "
	local head3 "`head3'(5)       &        (6)       & "
	
	local head4 "        (7)      \\ [0.05cm] _newline      \hline \\ [-0.25cm]"

	local labrows1 "LogGDPpcdest."
	local labrows1 "`labrows1' LogGDPpcorigin"
	local labrows1 "`labrows1' LogGDPpcgap"
	local labrows1 "`labrows1' LogDistance"
	local labrows1 "`labrows1' Commonlanguage"
	local labrows1 "`labrows1' Colonialrel."
	local labrows1 "`labrows1' Commonborder"
	local labrows1 "`labrows1' LogPop.origin"
	local labrows1 "`labrows1' LogPop.dest."
	local labrows1 "`labrows1' Obs"
	local labrows1 "`labrows1' \$\bar{R}^2\$"
	
	local rowsep1 "di      \hline \\ [-0.25cm]"

	local rowsep2 "di      \hline \\ [-0.25cm] _newline         Grouped obs.    "
	local rowsep2 "`rowsep2'      &    Yes     &       Yes        &        No      "
	local rowsep2 "`rowsep2'  &       Yes        &        Yes       &       Yes    "
	local rowsep2 "`rowsep2'    &        Yes       \\ [0.05cm] _newline         "
	
	local rowsep3 "St.devs. of controls  &     No     &        No        &        "
	local rowsep3 "`rowsep3'No        &        No        &         No       &      "
	local rowsep3 "`rowsep3'  No        &        Yes       \\ [0.05cm] _newline  "
	local rowsep3 "`rowsep3'    \hline \\ [-0.25cm] _newline         Time dummie"
	
	local rowsep4 "s          &    Yes     &       Yes        &       Yes        &"
	local rowsep4 "`rowsep4'        No        &        No        &       Yes       "
	local rowsep4 "`rowsep4' &        Yes       \\ [0.05cm] _newline         Orig"
	local rowsep4 "`rowsep4'in dummies        &    Yes     &       Yes        & "
	
	local rowsep5 "      Yes        &        No        &       Yes        &       "
	local rowsep5 "`rowsep5' No        &        Yes       \\ [0.05cm] _newline   "
	local rowsep5 "`rowsep5'      Origin-time dummies   &     No     &        No   "
	local rowsep5 "`rowsep5'     &        No        &       Yes        &        No"
	
	local rowsep6 "        &        No        &         No       \\ [0.05cm] _new"
	local rowsep6 "`rowsep6'line         Destination dummies   &    Yes     &     "
	local rowsep6 "`rowsep6'  Yes        &       Yes        &       Yes        &   "
	local rowsep6 "`rowsep6'     No        &        No        &        Yes       "
	
	local rowsep7 "\\ [0.05cm] _newline         Dest.-time dummies    &     No  "
	local rowsep7 "`rowsep7'   &        No        &        No        &        No   "
	local rowsep7 "`rowsep7'     &       Yes        &        No        &         No"
	local rowsep7 "`rowsep7'       \\ [0.05cm] _newline         Country-pair dum"
	
	
	local rowsep8 "mies  &     No     &        No        &        No        &     "
	local rowsep8 "`rowsep8'   No        &        No        &       Yes        &   "
	local rowsep8 "`rowsep8'      No       \\ [0.05cm] _newline      \hline \\ [-"
	local rowsep8 "`rowsep8'0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}} "
	local ending1 "`ending1'_newline _newline    \begin{tablenotes} _newline   "
	local ending1 "`ending1'      Standard errors, clustered at the origin-time le"
	local ending1 "`ending1'vel, in parentheses. Dependent variable: log migrant "
	
	local ending2 "stocks. Unit of observation: origin-destination-time. Regressi"
	local ending2 "`ending2'ons include the indicated fixed effects."
	local ending2 "`ending2' _newline      \end{tablenotes} _newline      \vsp"
	local ending2 "`ending2'ace{-0.7cm}_newline     \end{table} "
	
	local ending3 " _newline _newline"
	
	dotables "Linear_effects_logs.tex" /// 
			 "r" "a" /// 
			 "b" ///
			 "4" "`head1'" "`head2'" "`head3'" "`head4'" /// 
			 "1" ///
				"11 7 0 3 3 7 9 " ///
					"1" "`labrows1'" /// 
					"10 11" /// 
					"reglinlog" /// 
					"8" "1 1 1 1 7 2 3 4 5 6 7 8" "`rowsep1'" "`rowsep2'" ///
						"`rowsep3'" "`rowsep4'" "`rowsep5'" "`rowsep6'" ///
						"`rowsep7'" "`rowsep8'" /// 
					"0" /// 
			 "3" "`ending1'" "`ending2'" "`ending3'"			 
				 
			 
	* Table A2 - Linear Effects --- \citet{Ozdenetal11} Data
		
	local head1 "di _newline   \begin{table}[!h]\centering _newline     \caption"
	local head1 "`head1'{Linear Effects --- \citet{Ozdenetal11} Data}  _newline  "
	local head1 "`head1'    \label{tab:reglinozd} _newline _newline"
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{4cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm"
	local head2 "`head2'}C{1.2cm}@{\hskip 0.5cm}}"
	local head2 "`head2' _newline"
			
	local head3 "       \\ [-0.35cm] _newline        \hline\hline \\ [-0.25cm] "
	local head3 "`head3'_newline                        &         (1)      &      "
	local head3 "`head3'   (2)      &        (3)       &        (4)       &        "
	local head3 "`head3'(5)       &        (6)       \\ [0.05cm] _newline "
	
	local head4 "     \hline \\ [-0.25cm]"

	local labrows1 "GDPpcdest."
	local labrows1 "`labrows1' GDPpcorigin"
	local labrows1 "`labrows1' GDPpcgap"
	local labrows1 "`labrows1' LogDistance"
	local labrows1 "`labrows1' Commonlanguage"
	local labrows1 "`labrows1' Colonialrel."
	local labrows1 "`labrows1' Commonborder"
	local labrows1 "`labrows1' LogPop.origin"
	local labrows1 "`labrows1' LogPop.dest."
	local labrows1 "`labrows1' Obs"
	local labrows1 "`labrows1' \$\bar{R}^2\$"
	
	local rowsep1 "di      \hline \\ [-0.25cm]"

	local rowsep2 "di      \hline \\ [-0.25cm] _newline         Grouped obs.    "
	local rowsep2 "`rowsep2'                 &       Yes        &       Yes        "
	local rowsep2 "`rowsep2'&        No        &       Yes        &        Yes     "
	local rowsep2 "`rowsep2'  &       Yes        \\ [0.05cm] _newline "
	
	local rowsep3 "     \hline \\ [-0.25cm] _newline         Time dummies       "
	local rowsep3 "`rowsep3'              &       Yes        &       Yes        &  "
	local rowsep3 "`rowsep3'     Yes        &        No        &        No        &"
	local rowsep3 "`rowsep3'       Yes        \\ [0.05cm] _newline         Origi"

	local rowsep4 "n dummies                   &       Yes        &       Yes     "
	local rowsep4 "`rowsep4'   &       Yes        &        No        &       Yes   "
	local rowsep4 "`rowsep4'     &        No        \\ [0.05cm] _newline         "
	local rowsep4 "`rowsep4'Origin-time dummies              &        No        & "
	
	local rowsep5 "       No        &        No        &       Yes        &       "
	local rowsep5 "`rowsep5' No        &        No        \\ [0.05cm] _newline   "
	local rowsep5 "`rowsep5'      Destination dummies              &       Yes     "
	local rowsep5 "`rowsep5'   &       Yes        &       Yes        &       Yes  "
	
	local rowsep6 "      &        No        &        No        \\ [0.05cm] _newli"
	local rowsep6 "`rowsep6'ne         Dest.-time dummies               &        N"
	local rowsep6 "`rowsep6'o        &        No        &        No        &       "
	local rowsep6 "`rowsep6' No        &       Yes        &        No        \\ [0"
	
	local rowsep7 ".05cm] _newline         Country-pair dummies             &   "
	local rowsep7 "`rowsep7'     No        &        No        &        No        & "
	local rowsep7 "`rowsep7'       No        &        No        &       Yes        "
	local rowsep7 "`rowsep7'\\ [0.05cm] _newline      \hline \\ [-0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}} "
	local ending1 "`ending1'_newline _newline    \begin{tablenotes} _newline   "
	local ending1 "`ending1'      Standard errors, clustered at the origin-time le"
	local ending1 "`ending1'vel, in parentheses. Dependent variable: log migrant "
	
	local ending2 "stocks. Unit of observation: origin-destination-time. Regressi"
	local ending2 "`ending2'ons include the indicated fixed effects."
	local ending2 "`ending2' _newline      \end{tablenotes} _newline      \vsp"
	local ending2 "`ending2'ace{-0.7cm}_newline     \end{table} "
	
	local ending3 " _newline _newline"

	
	dotables "Linear_effects_Ozdenetal.tex" /// 
			 "r" "a" /// 
			 "b" ///
			 "4" "`head1'" "`head2'" "`head3'" "`head4'" /// 
			 "1" ///
				"11 6 0 3 3 7 9 " ///
					"1" "`labrows1'" /// 
					"10 11" /// 
					"reglinozd" /// 
					"7" "1 1 1 1 6 2 3 4 5 6 7" "`rowsep1'" "`rowsep2'" ///
						"`rowsep3'" "`rowsep4'" "`rowsep5'" "`rowsep6'" ///
						"`rowsep7'" /// 
					"0" /// 
			 "3" "`ending1'" "`ending2'" "`ending3'"
			 
	
	* Table 6 - Heterogeneous Effects of Income Gains
		
	local head1 "di _newline   \begin{table}[!t]\centering _newline     \caption"
	local head1 "`head1'{Heterogeneous Effects of Income Gains}  _newline      \l"
	local head1 "`head1'abel{tab:reghet} _newline _newline"
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{5.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2"
	local head2 "`head2'cm}C{1.2cm}@{\hskip 0.5cm}}"
	local head2 "`head2' _newline"
			
	local head3 "       \\ [-0.35cm] _newline        \hline\hline \\ [-0.25cm] "
	local head3 "`head3'_newline                                         &        "
	local head3 "`head3' (1)      &         (2)      &        (3)       &        (4"
	local head3 "`head3')       &        (5)       &        (6)       \\ [0.05cm] "
	
	local head4 "_newline      \hline \\ [-0.25cm]"

	local labrows1 "GDPpcdest."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$LogDistance"
	local labrows1 "`labrows1' GDPpcdest.\$\times\$Commonlang."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$Colonialrel."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$Commonborder"	

	local labrows2 "GDPpcorigin"
	local labrows2 "`labrows2' GDPpcorigin\$\times\$LogDistance"
	local labrows2 "`labrows2' GDPpcorigin\$\times\$Commonlang."
	local labrows2 "`labrows2' GDPpcorigin\$\times\$Colonialrel."
	local labrows2 "`labrows2' GDPpcorigin\$\times\$Commonborder"
	
	local labrows3 " LogDistance"
	local labrows3 "`labrows3' Commonlanguage"
	local labrows3 "`labrows3' Colonialrel."
	local labrows3 "`labrows3' Commonborder"
	local labrows3 "`labrows3' LogPop.origin"
	local labrows3 "`labrows3' LogPop.dest."
	
	local labrows4 "Obs"
	local labrows4 "`labrows4' \$\bar{R}^2\$"
	
	local test1=testshet[2,1]
	local test2=testshet[1,1]
	
	local rowsep1 "di      \hline \\ [-0.25cm]"

	local rowsep2 "di      \hline \\ [-0.25cm] _newline         Grouped obs.    "
	local rowsep2 "`rowsep2'                 &       Yes        &       Yes        "
	local rowsep2 "`rowsep2'&        No        &       Yes        &        Yes     "
	local rowsep2 "`rowsep2'  &       Yes        \\ [0.05cm] _newline "
	
	local rowsep3 "     \hline \\ [-0.25cm] _newline         Time dummies       "
	local rowsep3 "`rowsep3'              &       Yes        &       Yes        &  "
	local rowsep3 "`rowsep3'     Yes        &        No        &        No        &"
	local rowsep3 "`rowsep3'       Yes        \\ [0.05cm] _newline         Origi"

	local rowsep4 "n dummies                   &       Yes        &       Yes     "
	local rowsep4 "`rowsep4'   &       Yes        &        No        &       Yes   "
	local rowsep4 "`rowsep4'     &        No        \\ [0.05cm] _newline         "
	local rowsep4 "`rowsep4'Origin-time dummies              &        No        & "
	
	local rowsep5 "       No        &        No        &       Yes        &       "
	local rowsep5 "`rowsep5' No        &        No        \\ [0.05cm] _newline   "
	local rowsep5 "`rowsep5'      Destination dummies              &       Yes     "
	local rowsep5 "`rowsep5'   &       Yes        &       Yes        &       Yes  "
	
	local rowsep6 "      &        No        &        No        \\ [0.05cm] _newli"
	local rowsep6 "`rowsep6'ne         Dest.-time dummies               &        N"
	local rowsep6 "`rowsep6'o        &        No        &        No        &       "
	local rowsep6 "`rowsep6' No        &       Yes        &        No        \\ [0"
	
	local rowsep7 ".05cm] _newline         Country-pair dummies             &   "
	local rowsep7 "`rowsep7'     No        &        No        &        No        & "
	local rowsep7 "`rowsep7'       No        &        No        &       Yes        "
	local rowsep7 "`rowsep7'\\ [0.05cm] _newline      \hline \\ [-0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}} "
	local ending1 "`ending1'_newline _newline    \begin{tablenotes} _newline   "
	local ending1 "`ending1'      Standard errors, clustered at the origin-time le"
	local ending1 "`ending1'vel, in parentheses. Dependent variable: log migrant "
	
	local ending2 "stocks. Unit of observation: origin-destination-time. Regressi"
	local ending2 "`ending2'ons include the indicated fixed effects."
	local ending2 "`ending2'  The p-value of a _newline         test of the null"
	local ending2 "`ending2' that coefficients displayed in Column~(3) are jointl"
	
	local ending3 "y equal to point estimates in Column~(2) is  %5.3f `test1' ,"
	local ending3 "`ending3' and the p-value for a test of the null "
	local ending3 "`ending3'hypothesis that the interaction coefficients in Column"
	local ending3 "`ending3'~(1) _newline         are equal in magnitude and op"
	
	local ending4 "posite sign is  %5.3f `test2' . _newline      \end{tableno"
	local ending4 "`ending4'tes} _newline      \vspace{-0.7cm}_newline     \en"
	local ending4 "`ending4'd{table}  _newline _newline"

	
	dotables "Heterogeneous_effects.tex" /// 
			 "r" "a" /// 
			 "b" ///
			 "4" "`head1'" "`head2'" "`head3'" "`head4'" /// 
			 "1" ///
				"18 6 0 4 5 10 14 16" ///
					"4" "`labrows1'" "`labrows2'" "`labrows3'" "`labrows4'" /// 
					"17 18" /// 
					"reghet" /// 
					"7" "1 1 1 1 1 1 6 2 3 4 5 6 7" "`rowsep1'" "`rowsep2'" ///
						"`rowsep3'" "`rowsep4'" "`rowsep5'" "`rowsep6'" ///
						"`rowsep7'" /// 
					"0" /// 
			 "4" "`ending1'" "`ending2'" "`ending3'" "`ending4'"
			 
	
	* Table B1 - Heterogeneous Effects of Income Gains --- GDP per Capita in Logs
		
	local head1 "di _newline   \begin{table}[!h]\centering _newline     \caption"
	local head1 "`head1'{Heterogeneous Effects of Income Gains --- GDP per Capita i"
	local head1 "`head1'n Logs}  _newline      \label{tab:reghetlog} _newline _n"
	local head1 "`head1'ewline"
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{5.8cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2"
	local head2 "`head2'cm}C{1.2cm}@{\hskip 0.5cm}}"
	local head2 "`head2' _newline"
			
	local head3 "       \\ [-0.35cm] _newline        \hline\hline \\ [-0.25cm] "
	local head3 "`head3'_newline                                             &    "
	local head3 "`head3'     (1)      &         (2)      &        (3)       &      "
	local head3 "`head3'  (4)       &        (5)       &        (6)       \\ [0.05"
	
	local head4 "cm] _newline      \hline \\ [-0.25cm]"

	local labrows1 "LogGDPpcdest."
	local labrows1 "`labrows1' LogGDPpcdest.\$\times\$LogDistance"
	local labrows1 "`labrows1' LogGDPpcdest.\$\times\$Commonlang."
	local labrows1 "`labrows1' LogGDPpcdest.\$\times\$Colonialrel."
	local labrows1 "`labrows1' LogGDPpcdest.\$\times\$Commonbord."	

	local labrows2 "LogGDPpcorigin"
	local labrows2 "`labrows2' LogGDPpcorigin\$\times\$LogDistance"
	local labrows2 "`labrows2' LogGDPpcorigin\$\times\$Commonlang."
	local labrows2 "`labrows2' LogGDPpcorigin\$\times\$Colonialrel."
	local labrows2 "`labrows2' LogGDPpcorigin\$\times\$Commonbord."
	
	local labrows3 " LogDistance"
	local labrows3 "`labrows3' Commonlanguage"
	local labrows3 "`labrows3' Colonialrel."
	local labrows3 "`labrows3' Commonborder"
	local labrows3 "`labrows3' LogPop.origin"
	local labrows3 "`labrows3' LogPop.dest."
	
	local labrows4 "Obs"
	local labrows4 "`labrows4' \$\bar{R}^2\$"
	
	local rowsep1 "di      \hline \\ [-0.25cm]"

	local rowsep2 "di      \hline \\ [-0.25cm] _newline         Grouped obs.    "
	local rowsep2 "`rowsep2'                     &       Yes        &       Yes    "
	local rowsep2 "`rowsep2'    &        No        &       Yes        &        Yes "
	local rowsep2 "`rowsep2'      &       Yes        \\ [0.05cm] _newline      \"
	
	local rowsep3 "hline \\ [-0.25cm] _newline         Time dummies             "
	local rowsep3 "`rowsep3'            &       Yes        &       Yes        &    "
	local rowsep3 "`rowsep3'   Yes        &        No        &        No        &  "
	local rowsep3 "`rowsep3'     Yes        \\ [0.05cm] _newline         Origin "

	local rowsep4 "dummies                       &       Yes        &       Yes   "
	local rowsep4 "`rowsep4'     &       Yes        &        No        &       Yes "
	local rowsep4 "`rowsep4'       &        No        \\ [0.05cm] _newline       "
	local rowsep4 "`rowsep4'  Origin-time dummies                  &        No    "
	
	local rowsep5 "    &        No        &        No        &       Yes        & "
	local rowsep5 "`rowsep5'       No        &        No        \\ [0.05cm] _newli"
	local rowsep5 "`rowsep5'ne         Destination dummies                  &     "
	local rowsep5 "`rowsep5'  Yes        &       Yes        &       Yes        &  "
	
	local rowsep6 "     Yes        &        No        &        No        \\ [0.05c"
	local rowsep6 "`rowsep6'm] _newline         Dest.-time dummies               "
	local rowsep6 "`rowsep6'    &        No        &        No        &        No  "
	local rowsep6 "`rowsep6'      &        No        &       Yes        &        N"
	
	local rowsep7 "o        \\ [0.05cm] _newline         Country-pair dummies   "
	local rowsep7 "`rowsep7'              &        No        &        No        &  "
	local rowsep7 "`rowsep7'      No        &        No        &        No        &"
	local rowsep7 "`rowsep7'       Yes        \\ [0.05cm] _newline      \hline \"
	
	local rowsep8 "\ [-0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}} "
	local ending1 "`ending1'_newline _newline    \begin{tablenotes} _newline   "
	local ending1 "`ending1'      Standard errors, clustered at the origin-time le"
	local ending1 "`ending1'vel, in parentheses. Dependent variable: log migrant "
	
	local ending2 "stocks. Unit of observation: origin-destination-time. Regressi"
	local ending2 "`ending2'ons include the indicated fixed effects."
	local ending2 "`ending2' _newline      \end{tablenotes} _newline      \vsp"
	local ending2 "`ending2'ace{-0.7cm}_newline     \end{table} "
	
	local ending3 " _newline _newline"

	dotables "Heterogeneous_effects_Logs.tex" /// 
			 "r" "a" /// 
			 "b" ///
			 "4" "`head1'" "`head2'" "`head3'" "`head4'" /// 
			 "1" ///
				"18 6 0 4 5 10 14 16" ///
					"4" "`labrows1'" "`labrows2'" "`labrows3'" "`labrows4'" /// 
					"17 18" /// 
					"reghetlog" /// 
					"8" "1 1 1 1 1 1 7 2 3 4 5 6 7 8" "`rowsep1'" "`rowsep2'" ///
						"`rowsep3'" "`rowsep4'" "`rowsep5'" "`rowsep6'" ///
						"`rowsep7'" "`rowsep8'" /// 
					"0" /// 
			 "3" "`ending1'" "`ending2'" "`ending3'"
			 
	
			 
	* Table B2 - Heterogeneous Effects --- Results with \citet{Ozdenetal11} Data
		
	local head1 "di _newline   \begin{table}[!h]\centering _newline     \caption"
	local head1 "`head1'{Heterog. Effects --- \citet{Ozdenetal11} Data} "
	local head1 "`head1' _newline      \label{tab:reghetozd} _newline _newline"
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{5.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2"
	local head2 "`head2'cm}C{1.2cm}@{\hskip 0.5cm}}"
	local head2 "`head2' _newline"
			
	local head3 "       \\ [-0.35cm] _newline        \hline\hline \\ [-0.25cm] "
	local head3 "`head3'_newline                                         &        "
	local head3 "`head3' (1)      &         (2)      &        (3)       &        (4"
	local head3 "`head3')       &        (5)       &        (6)       \\ [0.05cm] "
	
	local head4 "_newline      \hline \\ [-0.25cm]"

	local labrows1 " GDPpcdest."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$LogDistance"
	local labrows1 "`labrows1' GDPpcdest.\$\times\$Commonlang."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$Colonialrel."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$Commonborder"	

	local labrows2 "GDPpcorigin"
	local labrows2 "`labrows2' GDPpcorigin\$\times\$LogDistance"
	local labrows2 "`labrows2' GDPpcorigin\$\times\$Commonlang."
	local labrows2 "`labrows2' GDPpcorigin\$\times\$Colonialrel."
	local labrows2 "`labrows2' GDPpcorigin\$\times\$Commonborder"
	
	local labrows3 " LogDistance"
	local labrows3 "`labrows3' Commonlanguage"
	local labrows3 "`labrows3' Colonialrel."
	local labrows3 "`labrows3' Commonborder"
	local labrows3 "`labrows3' LogPop.origin"
	local labrows3 "`labrows3' LogPop.dest."
	
	local labrows4 "Obs"
	local labrows4 "`labrows4' \$\bar{R}^2\$"
	
	local rowsep1 "di      \hline \\ [-0.25cm]"

	local rowsep2 "di      \hline \\ [-0.25cm] _newline         Grouped obs.    "
	local rowsep2 "`rowsep2'                 &       Yes        &       Yes        "
	local rowsep2 "`rowsep2'&        No        &       Yes        &        Yes     "
	local rowsep2 "`rowsep2'  &       Yes        \\ [0.05cm] _newline "
	
	local rowsep3 "     \hline \\ [-0.25cm] _newline         Time dummies       "
	local rowsep3 "`rowsep3'              &       Yes        &       Yes        &  "
	local rowsep3 "`rowsep3'     Yes        &        No        &        No        &"
	local rowsep3 "`rowsep3'       Yes        \\ [0.05cm] _newline         Origi"

	local rowsep4 "n dummies                   &       Yes        &       Yes     "
	local rowsep4 "`rowsep4'   &       Yes        &        No        &       Yes   "
	local rowsep4 "`rowsep4'     &        No        \\ [0.05cm] _newline         "
	local rowsep4 "`rowsep4'Origin-time dummies              &        No        & "
	
	local rowsep5 "       No        &        No        &       Yes        &       "
	local rowsep5 "`rowsep5' No        &        No        \\ [0.05cm] _newline   "
	local rowsep5 "`rowsep5'      Destination dummies              &       Yes     "
	local rowsep5 "`rowsep5'   &       Yes        &       Yes        &       Yes  "
	
	local rowsep6 "      &        No        &        No        \\ [0.05cm] _newli"
	local rowsep6 "`rowsep6'ne         Dest.-time dummies               &        N"
	local rowsep6 "`rowsep6'o        &        No        &        No        &       "
	local rowsep6 "`rowsep6' No        &       Yes        &        No        \\ [0"
	
	local rowsep7 ".05cm] _newline         Country-pair dummies             &   "
	local rowsep7 "`rowsep7'     No        &        No        &        No        & "
	local rowsep7 "`rowsep7'       No        &        No        &       Yes        "
	local rowsep7 "`rowsep7'\\ [0.05cm] _newline      \hline \\ [-0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}} "
	local ending1 "`ending1'_newline _newline    \begin{tablenotes} _newline   "
	local ending1 "`ending1'      Standard errors, clustered at the origin-time le"
	local ending1 "`ending1'vel, in parentheses. Dependent variable: log migrant "
	
	local ending2 "stocks. Unit of observation: origin-destination-time. Regressi"
	local ending2 "`ending2'ons include the indicated fixed effects."
	local ending2 "`ending2' _newline      \end{tablenotes} _newline      \vsp"
	local ending2 "`ending2'ace{-0.7cm}_newline     \end{table} "
	
	local ending3 " _newline _newline"
	
	dotables "Heterogeneous_effects_Ozdenetal.tex" /// 
			 "r" "a" /// 
			 "b" ///
			 "4" "`head1'" "`head2'" "`head3'" "`head4'" /// 
			 "1" ///
				"18 6 0 4 5 10 14 16" ///
					"4" "`labrows1'" "`labrows2'" "`labrows3'" "`labrows4'" /// 
					"17 18" /// 
					"reghetozd" /// 
					"7" "1 1 1 1 1 1 6 2 3 4 5 6 7" "`rowsep1'" "`rowsep2'" ///
						"`rowsep3'" "`rowsep4'" "`rowsep5'" "`rowsep6'" ///
						"`rowsep7'" /// 
					"0" /// 
			 "3" "`ending1'" "`ending2'" "`ending3'"
			 
	
	* Table 7 - Additional Results
		
	local head1 "di _newline   \begin{table}[!t]\centering _newline     \caption"
	local head1 "`head1'{Additional Results}  _newline      \label{tab:regadd} _"
	local head1 "`head1'newline _newline"
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{5cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm"
	local head2 "`head2'}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}@{\hskip 0.5cm}}"
	local head2 "`head2' _newline"
			
	local head3 "       \\ [-0.35cm] _newline        \hline\hline \\ [-0.25cm] "
	local head3 "`head3'_newline                                         &        "
	local head3 "`head3' (1)      &         (2)      &        (3)       &        (4"
	local head3 "`head3')       &        (5)       &        (6)       &        (7)"
	
	local head4 "       &        (8)       &        (9)       \\ [0.05cm] _newlin"
	local head4 "`head4'e      \hline \\ [-0.25cm]"

	local labrows1 "GDPpcdest."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$LogDistance"
	local labrows1 "`labrows1' Unemploymentratedest.(\%)"
	local labrows1 "`labrows1' Agedep.dest.(\%old/w-age)"
	local labrows1 "`labrows1' Governmentsharedest."	

	local labrows2 "GDPpcorigin"
	local labrows2 "`labrows2' GDPpcorigin\$\times\$LogDistance"
	local labrows2 "`labrows2' Wageorigin"
	local labrows2 "`labrows2' PolityIVorigin"
	local labrows2 "`labrows2' PolityIV\$^2\$origin"
	local labrows2 "`labrows2' LogYoungpop.origin(age15-34)"

	local labrows3 " LogDistance"
	local labrows3 "`labrows3' Commonlanguage"
	local labrows3 "`labrows3' Colonialrel."
	local labrows3 "`labrows3' Commonborder"
	local labrows3 "`labrows3' Networks"
	local labrows3 "`labrows3' LogPop.origin"
	local labrows3 "`labrows3' LogPop.dest."

	local labrows4 "Obs"
	local labrows4 "`labrows4' \$\bar{R}^2\$"
	
	local rowsep1 "di      \hline \\ [-0.25cm]"

	local rowsep2 "di      \hline \\ [-0.25cm] _newline         Grouped obs.    "
	local rowsep2 "`rowsep2'                 &       Yes        &       Yes        "
	local rowsep2 "`rowsep2'&       Yes        &       Yes        &        Yes     "
	local rowsep2 "`rowsep2'  &       Yes        &        Yes       &        Yes  "
	
	local rowsep3 "     &       Yes        \\ [0.05cm] _newline       \hline \\ "
	local rowsep3 "`rowsep3'[-0.25cm] _newline         Time dummies              "
	local rowsep3 "`rowsep3'       &       Yes        &       Yes        &       Ye"
	local rowsep3 "`rowsep3's        &       Yes        &       Yes        &      "

	local rowsep4 " Yes        &       Yes        &       Yes        &       Yes  "
	local rowsep4 "`rowsep4'      \\ [0.05cm] _newline         Origin dummies    "
	local rowsep4 "`rowsep4'               &       Yes        &       Yes        & "
	local rowsep4 "`rowsep4'      Yes        &       Yes        &       Yes       "
	
	local rowsep5 " &       Yes        &       Yes        &       Yes        &    "
	local rowsep5 "`rowsep5'   Yes        \\ [0.05cm] _newline         Destinatio"
	local rowsep5 "`rowsep5'n dummies              &       Yes        &       Yes  "
	local rowsep5 "`rowsep5'      &       Yes        &       Yes        &       Ye"
	
	local rowsep6 "s        &       Yes        &       Yes        &       Yes     "
	local rowsep6 "`rowsep6'   &       Yes        \\ [0.05cm] _newline      \hlin"
	local rowsep6 "`rowsep6'e \\ [-0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}} "
	local ending1 "`ending1'_newline _newline    \begin{tablenotes} _newline   "
	local ending1 "`ending1'      Standard errors, clustered at the origin-time le"
	local ending1 "`ending1'vel, in parentheses. Dependent variable: log migrant "
	
	local ending2 "stocks, except in Column~(9), which is log flows. Unit of obse"
	local ending2 "`ending2'rvation: origin-destination-time. Regressions include "
	local ending2 "`ending2'the indicated fixed effects. _newline "
	local ending2 "`ending2'     \end{tablenotes} _newline      \vspace{-0.7cm}"
	
	local ending3 " _newline     \end{table}  _newline _newline"
	
	dotables "Additional_results.tex" /// 
			 "r" "a" /// 
			 "b" ///
			 "4" "`head1'" "`head2'" "`head3'" "`head4'" /// 
			 "1" ///
				"20 9 0 5 5 11 15 16 18" ///
					"4" "`labrows1'" "`labrows2'" "`labrows3'" "`labrows4'" /// 
					"19 20" /// 
					"regadd" /// 
					"6" "1 1 1 1 1 1 1 1 5 2 3 4 5 6" "`rowsep1'" "`rowsep2'" ///
						"`rowsep3'" "`rowsep4'" "`rowsep5'" "`rowsep6'" ///
					"0" /// 
			 "3" "`ending1'" "`ending2'" "`ending3'"
			 
	restore
	
end
	
/*
	
	* Table A2 - Linear Effects --- Networks
		
	local head1 "di _newline   \begin{table}[!h]\centering _newline     \caption"
	local head1 "`head1'{Linear Effects --- Networks}  _newline      \label{tab:r"
	local head1 "`head1'eglinnet} _newline _newline"
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{4cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm"
	local head2 "`head2'}C{1.2cm}C{1.2cm}@{\hskip 0.5cm}}"
	local head2 "`head2' _newline"
			
	local head3 "       \\ [-0.35cm] _newline        \hline\hline \\ [-0.25cm] "
	local head3 "`head3'_newline                        &         (1)      &      "
	local head3 "`head3'   (2)      &        (3)       &        (4)       &        "
	local head3 "`head3'(5)       &        (6)       & "
	
	local head4 "        (7)      \\ [0.05cm] _newline      \hline \\ [-0.25cm]"

	local labrows1 "Networks"
	local labrows1 "`labrows1' GDPpcdest."
	local labrows1 "`labrows1' GDPpcorigin"
	local labrows1 "`labrows1' LogGDPpcdest."
	local labrows1 "`labrows1' LogGDPpcorigin"
	local labrows1 "`labrows1' LogDistance"
	local labrows1 "`labrows1' Commonlanguage"
	local labrows1 "`labrows1' Colonialrel."

	local labrows2 " Commonborder"
	local labrows2 "`labrows2' LogPop.origin"
	local labrows2 "`labrows2' LogPop.dest."
	local labrows2 "`labrows2' Obs"
	local labrows2 "`labrows2' \$\bar{R}^2\$"
	
	local rowsep1 "di      \hline \\ [-0.25cm]"

	local rowsep2 "di      \hline \\ [-0.25cm] _newline         Grouped obs.    "
	local rowsep2 "`rowsep2'      &    Yes     &       Yes        &       Yes      "
	local rowsep2 "`rowsep2'  &        No        &        Yes       &       Yes    "
	local rowsep2 "`rowsep2'    &        Yes       \\ [0.05cm] _newline      \hl"
	
	local rowsep3 "ine \\ [-0.25cm] _newline         Time dummies          &    "
	local rowsep3 "`rowsep3'Yes     &       Yes        &       Yes        &        "
	local rowsep3 "`rowsep3'No        &        No        &       Yes        &      "
	local rowsep3 "`rowsep3'  Yes       \\ [0.05cm] _newline         Origin dumm"
	
	local rowsep4 "ies        &    Yes     &       Yes        &       Yes        &"
	local rowsep4 "`rowsep4'        No        &       Yes        &        No       "
	local rowsep4 "`rowsep4' &        Yes       \\ [0.05cm] _newline         Orig"
	local rowsep4 "`rowsep4'in-time dummies   &     No     &        No        &   "
	
	local rowsep5 "     No        &       Yes        &        No        &        N"
	local rowsep5 "`rowsep5'o        &         No       \\ [0.05cm] _newline     "
	local rowsep5 "`rowsep5'    Destination dummies   &    Yes     &       Yes     "
	local rowsep5 "`rowsep5'   &       Yes        &       Yes        &        No  "
	
	local rowsep6 "      &        No        &        Yes       \\ [0.05cm] _newli"
	local rowsep6 "`rowsep6'ne         Dest.-time dummies    &     No     &       "
	local rowsep6 "`rowsep6' No        &        No        &        No        &     "
	local rowsep6 "`rowsep6'  Yes        &        No        &         No       \\ "
	
	local rowsep7 "[0.05cm] _newline         Country-pair dummies  &     No     "
	local rowsep7 "`rowsep7'&        No        &        No        &        No      "
	local rowsep7 "`rowsep7'  &        No        &       Yes        &         No   "
	local rowsep7 "`rowsep7'    \\ [0.05cm] _newline      \hline \\ [-0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}} "
	local ending1 "`ending1'_newline _newline    \begin{tablenotes} _newline   "
	local ending1 "`ending1'      Standard errors, clustered at the origin-time le"
	local ending1 "`ending1'vel, in parentheses. Dependent variable: log migrant "
	
	local ending2 "stocks. Unit of observation: origin-destination-time. Regressi"
	local ending2 "`ending2'ons include the specified fixed effects, as indicated."
	local ending2 "`ending2' _newline      \end{tablenotes} _newline      \vsp"
	local ending2 "`ending2'ace{-0.7cm}_newline     \end{table} "
	
	local ending3 " _newline _newline"

	
	dotables "Linear_effects_networks.tex" /// 
			 "r" "a" /// 
			 "b" ///
			 "4" "`head1'" "`head2'" "`head3'" "`head4'" /// 
			 "1" ///
				"13 7 0 4 1 5 9 11 " ///
					"2" "`labrows1'" "`labrows2'" /// 
					"12 13" /// 
					"reglinnet" /// 
					"7" "1 1 1 1 1 1 6 2 3 4 5 6 7" "`rowsep1'" "`rowsep2'" ///
						"`rowsep3'" "`rowsep4'" "`rowsep5'" "`rowsep6'" ///
						"`rowsep7'" /// 
					"0" /// 
			 "3" "`ending1'" "`ending2'" "`ending3'"

			 
			 
	* Table B2 - Heterogeneous Effects of Income Gains --- Networks
		
	local head1 "di _newline   \begin{table}[!h]\centering _newline     \caption"
	local head1 "`head1'{Heterogeneous Effects of Income Gains --- Networks"
	local head1 "`head1'}  _newline      \label{tab:reghetnet} _newline _n"
	local head1 "`head1'ewline"
			
	local head2 "  \resizebox{0.999\textwidth}{!}{ _newline    \begin{tabular}{@"
	local head2 "`head2'{\hskip 0.5cm}L{5.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2cm}C{1.2"
	local head2 "`head2'cm}C{1.2cm}@{\hskip 0.5cm}}"
	local head2 "`head2' _newline"
			
	local head3 "       \\ [-0.35cm] _newline        \hline\hline \\ [-0.25cm] "
	local head3 "`head3'_newline                                         &        "
	local head3 "`head3' (1)      &         (2)      &        (3)       &        (4"
	local head3 "`head3')       &        (5)       &        (6)       \\ [0.05cm] "
	
	local head4 "_newline      \hline \\ [-0.25cm]"

	local labrows1 "Networks"
	local labrows1 "`labrows1' GDPpcdest."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$LogDistance"
	local labrows1 "`labrows1' GDPpcdest.\$\times\$Commonlang."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$Colonialrel."
	local labrows1 "`labrows1' GDPpcdest.\$\times\$Commonborder"	

	local labrows2 "GDPpcorigin"
	local labrows2 "`labrows2' GDPpcorigin\$\times\$LogDistance"
	local labrows2 "`labrows2' GDPpcorigin\$\times\$Commonlang."
	local labrows2 "`labrows2' GDPpcorigin\$\times\$Colonialrel."
	local labrows2 "`labrows2' GDPpcorigin\$\times\$Commonborder"
	
	local labrows3 " LogDistance"
	local labrows3 "`labrows3' Commonlanguage"
	local labrows3 "`labrows3' Colonialrel."
	local labrows3 "`labrows3' Commonborder"
	local labrows3 "`labrows3' LogPop.origin"
	local labrows3 "`labrows3' LogPop.dest."
	
	local labrows4 "Obs"
	local labrows4 "`labrows4' \$\bar{R}^2\$"
	
	local rowsep1 "di      \hline \\ [-0.25cm]"

	local rowsep2 "di      \hline \\ [-0.25cm] _newline         Grouped obs.    "
	local rowsep2 "`rowsep2'                 &       Yes        &       Yes        "
	local rowsep2 "`rowsep2'&        No        &       Yes        &        Yes     "
	local rowsep2 "`rowsep2'  &       Yes        \\ [0.05cm] _newline "
	
	local rowsep3 "     \hline \\ [-0.25cm] _newline         Time dummies       "
	local rowsep3 "`rowsep3'              &       Yes        &       Yes        &  "
	local rowsep3 "`rowsep3'     Yes        &        No        &        No        &"
	local rowsep3 "`rowsep3'       Yes        \\ [0.05cm] _newline         Origi"

	local rowsep4 "n dummies                   &       Yes        &       Yes     "
	local rowsep4 "`rowsep4'   &       Yes        &        No        &       Yes   "
	local rowsep4 "`rowsep4'     &        No        \\ [0.05cm] _newline         "
	local rowsep4 "`rowsep4'Origin-time dummies              &        No        & "
	
	local rowsep5 "       No        &        No        &       Yes        &       "
	local rowsep5 "`rowsep5' No        &        No        \\ [0.05cm] _newline   "
	local rowsep5 "`rowsep5'      Destination dummies              &       Yes     "
	local rowsep5 "`rowsep5'   &       Yes        &       Yes        &       Yes  "
	
	local rowsep6 "      &        No        &        No        \\ [0.05cm] _newli"
	local rowsep6 "`rowsep6'ne         Dest.-time dummies               &        N"
	local rowsep6 "`rowsep6'o        &        No        &        No        &       "
	local rowsep6 "`rowsep6' No        &       Yes        &        No        \\ [0"
	
	local rowsep7 ".05cm] _newline         Country-pair dummies             &   "
	local rowsep7 "`rowsep7'     No        &        No        &        No        & "
	local rowsep7 "`rowsep7'       No        &        No        &       Yes        "
	local rowsep7 "`rowsep7'\\ [0.05cm] _newline      \hline \\ [-0.25cm]"

	local ending1 "di      \hline\hline\\ [-0.2cm] _newline    \end{tabular}} "
	local ending1 "`ending1'_newline _newline    \begin{tablenotes} _newline   "
	local ending1 "`ending1'      Standard errors, clustered at the origin-time le"
	local ending1 "`ending1'vel, in parentheses. Dependent variable: log migrant "
	
	local ending2 "stocks. Unit of observation: origin-destination-time. Regressi"
	local ending2 "`ending2'ons include the specified fixed effects, as indicated."
	local ending2 "`ending2' _newline      \end{tablenotes} _newline      \vsp"
	local ending2 "`ending2'ace{-0.7cm}_newline     \end{table} "
	
	local ending3 " _newline _newline"
	
	dotables "Heterogeneous_effects_Networks.tex" /// 
			 "r" "a" /// 
			 "b" ///
			 "4" "`head1'" "`head2'" "`head3'" "`head4'" /// 
			 "1" ///
				"19 6 0 5 1 6 11 15 17" ///
					"4" "`labrows1'" "`labrows2'" "`labrows3'" "`labrows4'" /// 
					"18 19" /// 
					"reghetnet" /// 
					"7" "1 1 1 1 1 1 1 1 6 2 3 4 5 6 7" "`rowsep1'" "`rowsep2'" ///
						"`rowsep3'" "`rowsep4'" "`rowsep5'" "`rowsep6'" ///
						"`rowsep7'" /// 
					"0" /// 
			 "3" "`ending1'" "`ending2'" "`ending3'"

*/	
	
	
	
